# React Illuminate

[![NPM version][npm-image]][npm-url]
[![Dependency Status][deps-image]][deps-url]
[![Dev Dependency Status][dev-deps-image]][dev-deps-url]

Syntax highlighting in React! It uses [illuminate-js](https://github.com/vkbansal/illuminate-js) under the hood.

## Install

```
npm install recat-illuminate
```

## Usage

```js
import React from "react";
import Illuminate from "react-illuminate";

const MyApp = React.createClass({
    render() {
        <Illuminate lang="language">
            `your code here`
        </Illuminate>
    }
});
```

## License

MIT. Copyright(c) [Vivek Kumar Bansal](http://vkbansal.me/)

[npm-url]: https://npmjs.org/package/react-illuminate
[npm-image]: http://img.shields.io/npm/v/react-illuminate.svg?style=flat-square

[travis-url]: https://travis-ci.org/vkbansal/react-illuminate
[travis-image]: http://img.shields.io/travis/vkbansal/react-illuminate/master.svg?style=flat-square

[deps-url]: https://david-dm.org/vkbansal/react-illuminate
[deps-image]: https://img.shields.io/david/vkbansal/react-illuminate.svg?style=flat-square

[dev-deps-url]: https://david-dm.org/vkbansal/react-illuminate
[dev-deps-image]: https://img.shields.io/david/dev/vkbansal/react-illuminate.svg?style=flat-square
