"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _illuminateJs = require("illuminate-js");

var _token = require("./token");

var _token2 = _interopRequireDefault(_token);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Illuminate = _react2.default.createClass({
    displayName: "Illuminate",

    propTypes: {
        children: _react.PropTypes.string.isRequired,
        lang: _react.PropTypes.string.isRequired
    },
    highlight: function highlight() {
        var _props = this.props;
        var lang = _props.lang;
        var children = _props.children;
        var grammar = (0, _illuminateJs.getLanguage)(lang);

        if (grammar) {
            return (0, _illuminateJs.tokenize)(children, grammar);
        }

        return children;
    },
    render: function render() {
        var lang = this.props.lang;

        return _react2.default.createElement(
            "pre",
            { className: "language-" + lang },
            _react2.default.createElement(
                "code",
                null,
                _react2.default.createElement(_token2.default, { token: this.highlight() })
            )
        );
    }
});

exports.default = Illuminate;